Package sop.cli.picocli

# Class SopCLI

java.lang.Object
sop.cli.picocli.SopCLI

public class SopCLI extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`EXECUTABLE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`SopCLI()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`execute(String[] args)`
`static sop.SOP`
`getSop()`
`static void`
`main(String[] args)`
`static void`
`setSopInstance(sop.SOP instance)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EXECUTABLE_NAME

public static String EXECUTABLE_NAME

## Constructor Details

### SopCLI

public SopCLI()

## Method Details

### main

public static void main(String[] args)

### execute

public static int execute(String[] args)

### getSop

public static sop.SOP getSop()

### setSopInstance

public static void setSopInstance(sop.SOP instance)